package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum eApplyType {
    Org(1),//组织
    Activity(2),//活动
    Endorse(3),//母校代言
    Image(4),//相册
    Aimage(5);//活动相册

    private int value;

    eApplyType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eApplyType valueOf(int value) {
        switch (value) {
            case 1:
                return eApplyType.Org;
            case 2:
                return eApplyType.Activity;
            case 3:
                return eApplyType.Endorse;
            case 4:
                return eApplyType.Image;
            case 5:
                return eApplyType.Aimage;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "组织申请";
            case 2:
                return "活动申请";
            case 3:
                return "母校代言申请";
            case 4:
                return "相册申请";
            case 5:
                return "活动相册申请";
            default:
                return null;
        }
    }

}
